# Information Schema TABLE\_CONSTRAINTS Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `TABLE_CONSTRAINTS` table contains information about tables that have [constraints](/docs/server/reference/sql-statements/data-definition/constraint.md).

It has the following columns:

| Column              | Description                                                           |
| ------------------- | --------------------------------------------------------------------- |
| CONSTRAINT\_CATALOG | Always def.                                                           |
| CONSTRAINT\_SCHEMA  | Database name containing the constraint.                              |
| CONSTRAINT\_NAME    | Constraint name.                                                      |
| TABLE\_SCHEMA       | Database name.                                                        |
| TABLE\_NAME         | Table name.                                                           |
| CONSTRAINT\_TYPE    | Type of constraint; one of UNIQUE, PRIMARY KEY, FOREIGN KEY or CHECK. |

The [REFERENTIAL\_CONSTRAINTS](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-referential_constraints-table.md) table has more information about foreign keys.

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-table_constraints-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
